# Uses of Interface
org.eclipse.jface.viewers.IFilter

Packages that use IFilter
Package
Description
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.jface.viewers.deferred
Provides a framework for viewers that handle deferred contents.
org.eclipse.ui.views.properties.tabbed
Provides the Tabbed Properties framework.

## Uses of IFilter in org.eclipse.jface.viewers

Classes in org.eclipse.jface.viewers that implement IFilter
Modifier and Type
Class
Description
`final class`
`AcceptAllFilter`
Filter that accepts everything.
Methods in org.eclipse.jface.viewers that return IFilter
Modifier and Type
Method
Description
`static IFilter`
AcceptAllFilter.`getInstance()`
Returns the singleton instance of AcceptAllFilter

## Uses of IFilter in org.eclipse.jface.viewers.deferred

Methods in org.eclipse.jface.viewers.deferred with parameters of type IFilter
Modifier and Type
Method
Description
`void`
DeferredContentProvider.`setFilter(IFilter toSet)`
Sets the filter for this content provider.

## Uses of IFilter in org.eclipse.ui.views.properties.tabbed

Methods in org.eclipse.ui.views.properties.tabbed that return IFilter
Modifier and Type
Method
Description
`IFilter`
AbstractSectionDescriptor.`getFilter()`
`IFilter`
ISectionDescriptor.`getFilter()`
Get the section filter instance for this section.